Bug 27027 - Typo: has successfully been modified.. %s
Summary: Typo: has successfully been modified.. %s
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Amy King
QA Contact: Nick Clemens
URL:
Keywords: Academy
Depends on: 22417
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-14 11:45 UTC by Katrin Fischer
Modified: 2021-02-11 22:06 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This fixes a grammatical error in koha-tmpl/intranet-tmpl/prog/en/modules/admin/background_jobs.tt (has successfully been modified..) - it replaces two full stops at the end of the sentence with one.
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 27027 Type in line 125 corrected (1.79 KB, patch)
2021-01-19 01:59 UTC, Amy King
Details | Diff | Splinter Review
Bug: 27027 Fixed typo, line 125, removed extra dot. (1.81 KB, patch)
2021-01-19 20:24 UTC, Amy King
Details | Diff | Splinter Review
Bug 27027: Fixed typo - extra dot removed (1.80 KB, patch)
2021-01-19 20:28 UTC, Amy King
Details | Diff | Splinter Review
Bug 27027: Fixed typo - extra dot removed (1.85 KB, patch)
2021-01-20 18:07 UTC, David Nind
Details | Diff | Splinter Review
Bug 27027: Fixed typo - extra dot removed (1.90 KB, patch)
2021-01-21 16:34 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-11-14 11:45:19 UTC
Found in translation, related to the new Background job configuration.
Comment 1 Jonathan Druart 2020-12-01 13:22:38 UTC
koha-tmpl/intranet-tmpl/prog/en/modules/admin/background_jobs.tt
125                                 Authority record <a href="/cgi-bin/koha/authorities/detail.pl?authid=[% m.authid | uri %]">[% m.authid | html %]</a> has successfully been modified..
Comment 2 Amy King 2021-01-19 01:59:53 UTC
Created attachment 115281 [details] [review]
Bug 27027 Type in line 125 corrected

Test Plan
Before applying patch
1. Open koha-tmpl/intranet-tmpl/prog/en/modules/admin/background_jobs.tt
2. Note how in line 125 "has successfully been modified.." has two full
stops
3. Apply patch
4. Repeat step 1
5. Note how there is only now one full stop in line 125 "has been
successfully ben modified."
Comment 3 Jonathan Druart 2021-01-19 09:09:05 UTC
Hello Amy, can you resubmit your patch with the commit message starting with "Bug 27027: ".
Also take a look at this wiki page: https://wiki.koha-community.org/wiki/Commit_messages#Examples
The commit message must tell what the patch does. Like "Fix typo - remove extra dot" or something in the line.
Comment 4 Amy King 2021-01-19 20:24:01 UTC
Created attachment 115348 [details] [review]
Bug: 27027 Fixed typo, line 125, removed extra dot.

Test Plan
Before applying patch
1. Open koha-tmpl/intranet-tmpl/prog/en/modules/admin/background_jobs.tt
2. Note how in line 125 "has successfully been modified.." has two full
stops
3. Apply patch
4. Repeat step 1
5. Note how there is only now one full stop in line 125 "has been
successfully ben modified."
Comment 5 Amy King 2021-01-19 20:28:08 UTC
Created attachment 115349 [details] [review]
Bug 27027: Fixed typo - extra dot removed

Test Plan
Before applying patch
1. Open koha-tmpl/intranet-tmpl/prog/en/modules/admin/background_jobs.tt
2. Note how in line 125 "has successfully been modified.." has two full
stops
3. Apply patch
4. Repeat step 1
5. Note how there is only now one full stop in line 125 "has been
successfully ben modified."
Comment 6 David Nind 2021-01-20 18:07:44 UTC
Created attachment 115451 [details] [review]
Bug 27027: Fixed typo - extra dot removed

Test Plan
Before applying patch
1. Open koha-tmpl/intranet-tmpl/prog/en/modules/admin/background_jobs.tt
2. Note how in line 125 "has successfully been modified.." has two full
stops
3. Apply patch
4. Repeat step 1
5. Note how there is only now one full stop in line 125 "has been
successfully ben modified."

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2021-01-20 18:11:55 UTC
Thanks Amy!
Comment 8 Nick Clemens 2021-01-21 16:34:40 UTC
Created attachment 115578 [details] [review]
Bug 27027: Fixed typo - extra dot removed

Test Plan
Before applying patch
1. Open koha-tmpl/intranet-tmpl/prog/en/modules/admin/background_jobs.tt
2. Note how in line 125 "has successfully been modified.." has two full
stops
3. Apply patch
4. Repeat step 1
5. Note how there is only now one full stop in line 125 "has been
successfully ben modified."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Jonathan Druart 2021-01-22 13:54:11 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-01-29 13:21:59 UTC
Pushed to 20.11.x for 20.11.03
Comment 11 Andrew Fuerste-Henry 2021-02-03 22:14:06 UTC
Missing dependencies, not backported to 20.05